/*
 * LCD.c
 *
 * Created: 6/9/2011 2:08:40 PM
 *  Author: POORIA
 */ 

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
//#include "A.h"
#include "Config_Glcd_320240.h"
#include "Glcd_GFunctions.h"
#include "Glcd_TFunctions.h"

#define F_CPU 32000000

int main(void)
{

	  //---------------------------------------------------------------------
  /*Oscillator auf 32Mhz einstellen PIN1 = OSC_RC32MEN wird gesetzt */
   OSC.CTRL |= 0x02;
   /*Wenn Oscillator stabil wird das Flag RC32MRDY
    * gesetzt und 32Mhz k?nnen benutzt werden*/
   while(!(OSC.STATUS & OSC_RC32MRDY_bm));
   /*I/O Protection*/
   CCP = 0xD8;
   /*Clock auf 32Mhz einstellen*/
   CLK.CTRL = 0x01;
   //---------------------------------------------------------------------  
         
    lcd_init();
	lcd_clear_screen();
    lcd_gotoxy(6,10);
    lcd_putsf(PSTR("POORIA ALIZADEH"),RED,0,WHITE);
    _delay_ms(2000);
    lcd_draw_circle(60,60,60,1,RED);
	lcd_draw_circle(180,60,60,1,YELLOW);
}